import { onCleanup } from "solid-js";
export const useWindowResizeListener = (listener) => {
    const handler = (event) => listener(event);
    window.addEventListener("resize", handler);
    onCleanup(() => window.removeEventListener("resize", handler));
};
